<?php

namespace WilokePricing\Controllers;

use Elementor\Plugin;

class RegistrationController
{
	public function __construct()
	{
		add_action('elementor/widgets/register', [$this, 'registerAddon'], 100);
		add_action('wp_enqueue_scripts', [$this, 'registerScripts']);
//		add_action('elementor/frontend/after_enqueue_scripts', [$this, 'enqueueScriptsToElementor']);

	}

	public function enqueueScriptsToElementor() {
		wp_enqueue_script(
			'wiloke-pricing-script',
			plugin_dir_url(__FILE__) . "../Source/script.js",
			['elementor-frontend'],
			WILOKE_PRICING_VERSION,
			true
		);
	}

	public function registerScripts()
	{
		wp_register_style('wiloke-pricing', "https://envato-element-pricing.netlify.app/styles/styles.css", [], WILOKE_PRICING_VERSION);
		wp_register_script(
			'wiloke-pricing-script',
			"https://envato-element-pricing.netlify.app/js/scripts.js",
			['elementor-frontend'],
			WILOKE_PRICING_VERSION,
			true
		);
	}

	public function registerAddon($oWidgetManager)
	{
		$oWidgetManager->register(new PricingAddon());
	}
}
